
data:extend ({
  {
    type = "recipe",
    name = "coal-to-stone-compression",
    icons = {
      {icon = "__core__/graphics/editor-selection.png", icon_size = 32}, -- why I cant without it?
      {icon = "__base__/graphics/icons/coal.png",  scale = 0.6, shift = {-8,  0}, icon_size = 32},
      {icon = "__base__/graphics/icons/stone.png", scale = 0.6, shift = { 8,  0}, icon_size = 32}
      },
    -- icon_size = 32,
    subgroup = "raw-material",
    order = "c-c-a",
    category = "advanced-crafting", -- in the assembling machine only, not for player crafting
    enabled = true,
    energy_required = 0.5, -- it's time in seconds
    ingredients = {{"coal", 2}},
    result = "stone"
  },
  
  {
    type = "recipe",
    name = "advanced-coal-to-stone-compression",
    icons = {
      {icon = "__core__/graphics/editor-selection.png", icon_size = 32}, -- why I cant without it?
      {icon = "__base__/graphics/icons/coal.png",  scale = 0.6, shift = {-8,  0}, icon_size = 32},
      {icon = "__base__/graphics/icons/stone.png", scale = 0.6, shift = { 8, -8}, icon_size = 32},
      {icon = "__base__/graphics/icons/stone.png", scale = 0.6, shift = { 8,  8}, icon_size = 32},
      },
    
    subgroup = "raw-material",
    order = "c-c-b",
    category = "advanced-crafting",
    enabled = false, -- needs technology if false
    energy_required = 1, -- it's time in seconds
    ingredients = {{"coal", 4}, {"stone", 2}},
    results = {{"coal", 1}, {"stone", 4}}
  }
})
    
table.insert(data.raw.technology["advanced-material-processing"].effects, {type = "unlock-recipe", recipe = "advanced-coal-to-stone-compression"})

